require 'sketchup.rb'

module TestSolutionario
  module TestSentio
    CSRF_URL = BASE_URL + "csrf"

    class CSRFRequest

      def initialize()
        @request = Sketchup::Http::Request.new(CSRF_URL)
      end

      def get_token()
        SentioLogger.debug "Getting csrf token"

        @request.start do |request, response|
          SentioLogger.debug "CSRF token received"
          token = response.body
          SentioLogger.debug "CSRF token received:#{token}."
          Sketchup.write_default(REG_KEY, "csrf_token", token)
          if block_given?
            yield token
          end
        end
      end

    end
  end
end
